# $Revision: 1.41 $, $Date: 2012/03/16 20:41:59 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Library to read DVD images
Summary(pl.UTF-8):	Biblioteka do odczytu obrazów DVD-Video
Name:		libdvdread
Version:	4.2.0
Release:	1
License:	GPL v2+
Group:		Libraries
Source0:	http://dvdnav.mplayerhq.hu/releases/%{name}-%{version}.tar.bz2
# Source0-md5:	ab7a19d3ab1a437ae754ef477d6231a4
Patch0:		%{name}-alpha.patch
Patch1:		%{name}-buffix.patch
Patch2:		%{name}-version.patch
URL:		http://dvdnav.mplayerhq.hu/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1.6
BuildRequires:	libtool >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libdvdread provides a simple foundation for reading DVD-Video images.

For reading CSS-encrypted DVDs you will also need libdvdcss package.

%description -l pl.UTF-8
Biblioteka dostarczająca prosty interfejs do odczytu obrazów
DVD-Video.

Aby czytać płyty DVD szyfrowane CSS potrzebny jest także pakiet
libdvdcss.

%package devel
Summary:	%{name} library headers
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This is the libraries, include files and other resources you can use
to incorporate libdvdread into applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe oraz dokumentacja pozwalająca na dodawanie obsługi
dvd w swoich programach.

%package static
Summary:	libdvdread static libraries
Summary(pl.UTF-8):	Statyczne biblioteki do obsługi formatu DVD-Video
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
This is package with static libdvdread libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libdvdread.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?with_static_libs:--enable-static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog DEVELOPMENT-POLICY.txt README TODO
%attr(755,root,root) %{_libdir}/libdvdread.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdvdread.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/dvdread-config
%attr(755,root,root) %{_libdir}/libdvdread.so
%{_libdir}/libdvdread.la
%{_includedir}/dvdread
%{_pkgconfigdir}/dvdread.pc
%{_aclocaldir}/dvdread.m4

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libdvdread.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libdvdread.spec,v $
Revision 1.41  2012/03/16 20:41:59  qboosh
- more specific URL

Revision 1.40  2012/03/16 19:49:36  qboosh
- added buffix patch (read buffer handling bugfix from libdvdread 0.9.7)
- added version patch (change version code from 904 to 907 - this version contains most
  of the functionality enhancements after the fork, i.e. between 0.9.4 and 0.9.7,
  except for (mainly) O_DIRECT)

Revision 1.39  2012/03/16 15:28:43  sls
- libdvdread-alpha.patch updated to 4.2.0
- rel. 1

Revision 1.38  2012/03/16 15:20:43  sls
- ver. 4.2.0 (NFY)

Revision 1.37  2008/10/15 17:07:18  qboosh
- lt version

Revision 1.36  2008/10/15 17:05:23  qboosh
- ac/am versions

Revision 1.35  2008/10/15 17:02:18  qboosh
- more verbose files
- revised docs
- GPL version

Revision 1.34  2008/10/12 15:41:08  lkrotowski
- up to 4.1.3 (note: new soname)
- moved to mplayerhq version (actively maintained)
- dropped obsolete patch

Revision 1.33  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.32  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.31  2007/01/04 16:11:12  arekm
- rel 2

Revision 1.30  2006/10/09 20:31:03  qboosh
- updated to 0.9.7, updated UDFFindFile patch

Revision 1.29  2006/05/03 15:08:14  charles
- updated to 0.9.6

Revision 1.28  2006/02/14 16:22:48  wolf
- fix for dvdbackup, rel 2

Revision 1.27  2006/01/23 11:46:45  qboosh
- updated alpha patch (related to all archs, not only alpha now)
- typo, strict internal deps

Revision 1.26  2006/01/23 11:05:15  charles
- updated to 0.9.5
- commented out -alpha.patch

Revision 1.25  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.24  2005/06/15 19:59:53  witekfl
- added bcond_without static_libs

Revision 1.23  2004/09/25 11:20:52  radek
- cosmetics (spaces -> tabs)

Revision 1.22  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:49:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/05/09 06:34:50  kloczek
- release 1: do not include SONAME symlinks in %files and added using
  %%{__automake} macro in %build.

Revision 1.19  2003/02/25 09:16:11  wiget
- updated to 0.9.4
- fixed Source0 URL

Revision 1.18  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/11/20 00:13:58  ankry
- merge two alpha patches into one
- new %%doc
- release 3

Revision 1.16  2002/11/19 13:26:30  ankry
- fixed build on alpha (-format patch)
- release 2

Revision 1.15  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/06/24 16:52:12  baggins
- updatedto 0.9.3

Revision 1.13  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:13:44  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/01 14:50:42  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.8  2002/01/18 02:13:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/10/13 17:00:00  misiek
- fix build on alpha platform

Revision 1.6  2001/10/13 16:41:43  misiek
- updated to 0.9.2

Revision 1.5  2001/10/03 19:09:39  kloczek
- missing -f in rm parameters.

Revision 1.4  2001/10/03 16:42:04  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.3  2001/09/19 19:19:46  jajcus
- Version: 0.9.1

Revision 1.2  2001/06/24 13:10:56  kloczek
- cosmetics.

Revision 1.1  2001/06/24 09:18:18  misiek
- initial pld release
